#!/usr/bin/perl -w
use strict;
open(IN,"spdroins.fasta");
open(F,">AA_sum.txt");
print F "id\tAla\tArg\tAsn\tAsp\tCys\tGln\tGlu\tGly\tHis\tIle\tLeu\tLys\tMet\tPhe\tPro\tSer\tThr\tTrp\tTyr\tVal\n";
while(my $line = <IN>)
{
chomp $line;
if($line=~/^>(\S+)/)
{
print F "$1\t";
}
else
{
my @lin;

my $A = (@lin) = ($line =~ /(A)/g);
my $R = (@lin) = ($line =~ /(R)/g);
my $N = (@lin) = ($line =~ /(N)/g);
my $D = (@lin) = ($line =~ /(D)/g);
my $C = (@lin) = ($line =~ /(C)/g);
my $Q = (@lin) = ($line =~ /(Q)/g);
my $E = (@lin) = ($line =~ /(E)/g);
my $G = (@lin) = ($line =~ /(G)/g);
my $H = (@lin) = ($line =~ /(H)/g);
my $I = (@lin) = ($line =~ /(I)/g);
my $L = (@lin) = ($line =~ /(L)/g);
my $K = (@lin) = ($line =~ /(K)/g);
my $M = (@lin) = ($line =~ /(M)/g);
my $F = (@lin) = ($line =~ /(F)/g);
my $P = (@lin) = ($line =~ /(P)/g);
my $S = (@lin) = ($line =~ /(S)/g);
my $T = (@lin) = ($line =~ /(T)/g);
my $W = (@lin) = ($line =~ /(W)/g);
my $Y = (@lin) = ($line =~ /(Y)/g);
my $V = (@lin) = ($line =~ /(V)/g);
print F "$A\t$R\t$N\t$D\t$C\t$Q\t$E\t$G\t$H\t$I\t$L\t$K\t$M\t$F\t$P\t$S\t$T\t$W\t$Y\t$V\n";
}
}