setwd("./Famale_Male/visual")
library(sgtr)
library("devtools")
plot_manhattan("psass_window.tsv",
               tracks = list(single_metric_track("Fst",
                                                 ylim = c(0, 1),
                                                 colors = c("black", "grey50")),
                             single_metric_track("Snps_females",
                                                 color = c("red", "blue")),
                             single_metric_track("Snps_males",
                                                 color = c("green4", "orange2"),
                             )
               ),
               chromosomes_file = "chromosomes.tsv",
               output_file = "manhattan2.png")